Loading...
Searching...
No Matches
mdds::st::detail::tree_builder< T > Class Template Reference

## Public Types

typedef T::node | leaf_node
typedef leaf_node::node_ptr | leaf_node_ptr
typedef T::nonleaf_node | nonleaf_node
typedef std::vector< nonleaf_node > | nonleaf_node_pool_type

## Public Member Functions

| tree_builder (nonleaf_node_pool_type &pool)
nonleaf_node * | build (const leaf_node_ptr &left_leaf_node)